CANVAS_PROTO_POSITION_FUNC(3)

PROTO_FUNC
canvas_PROTO_position_func - Position event callback.

SYNOPSIS
#include <karma_canvas.h>

flag canvas_PROTO_position_func

(KWorldCanvas canvas, double x, double y, unsigned int event_code, void *e_info, void **f_info, double x_lin, double y_lin, int x_pix, int y_pix)

DESCRIPTION
This routine is a position event consumer for a world canvas.

canvas
    The canvas on which the event occurred.

x   The horizontal world co-ordinate of the event.

y   The vertical world co-ordinate of the event.

event_code
    The arbitrary event code.

e_info
    A pointer to arbitrary event information.

f_info
    A pointer to an arbitrary function information pointer.

x_lin
    The horizontal linear world co-ordinate prior to the transform function being called.

y_lin
    The vertical linear world co-ordinate prior to the transform function being called.

x_pix
    The horizontal pixel co-ordinate.

y_pix
    The vertical pixel co-ordinate.

RETURN VALUE
TRUE if the event was consumed, else FALSE indicating that the event is still to be processed.

Multi-threading Level
Unsafe.

NOTE
The world co-ordinate values will have been transformed by the registered transform function (see <-canvas_register_transforms_func->).

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/